Bug 1567 - Copy UDM objects
Copy UDM objects
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 4.2
i386 Linux
: P4 enhancement with 2 votes (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-25 11:00 CEST by Peter Ganten
Modified: 2017-06-28 15:33 CEST (History)
8 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Ticket number: 2013111221003177, 2013121321003155
Bug group (optional): External feedback, Release Goal, Roadmap discussion (moved), Usability
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (35.72 KB, patch)
2017-06-12 19:23 CEST, Florian Best
Details | Diff
patch (46.99 KB, patch)
2017-06-19 19:40 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Ingo Steuwer univentionstaff 2004-09-01 08:35:10 CEST
Am Mi, den 25.08.2004 schrieb bugs@univention.de um 11:00:

Ich denke ein Button "neues Objekt aus aktuellem Objekt erzeugen" dürfte
es hier treffen ? 

Es müssten dann aber Listen je Objekt der Leerzusetzenden Felder
gepflegt werden, beim User z.B. username,UID,GID,SID. Das erscheinen des
Buttons könnte an diese Liste gekoppelt werden.
Comment 2 Andreas Büsching univentionstaff 2006-04-21 10:23:50 CEST
Ist mir auch gerade aufgefallen, dass es ein nettes Feature wäre. Ich wollte 
gerade eine Policy erstellen, die eigentlich einer existierenden gleicht bis 
auf eine kleine Änderung. 
 
Nur damit dieser Bug nicht in Vergessenheit gerät ;) 
Comment 3 Lukas Walter univentionstaff 2011-12-13 10:15:14 CET
Für den Objekttyp User ist das über dem "User Template" Mechanismus bereits implementiert, nicht aber für andere Objekt.
Comment 4 Peter Ganten univentionstaff 2011-12-13 13:02:10 CET
(In reply to comment #3)
> Für den Objekttyp User ist das über dem "User Template" Mechanismus bereits
> implementiert, nicht aber für andere Objekt.

Naja, wirklich das Selbe ist das nicht. Wenn ich "mal eben" aus einem existierenden Benutzer einen neuen machen möchte, dann werde ich dafür nicht zunächst ein Template anlegen und daraus dann den neuen Benutzer anlegen. Dann habe ich den neuen Benutzer schneller so angelegt. Zumal viele "Nebenbei-Administratoren" den Template-Mechanismus wahrscheinlich gar nicht kennen. 

Ich habe allerdings länger keinen Wunsch mehr nach diesem Feature vernommen. Deswegen sehe ich da eher geringere Prio.
Comment 5 Moritz Muehlenhoff univentionstaff 2013-12-06 10:01:14 CET
(In reply to Peter Ganten from comment #4)
> (In reply to comment #3)
> > Für den Objekttyp User ist das über dem "User Template" Mechanismus bereits
> > implementiert, nicht aber für andere Objekt.
> 
> Naja, wirklich das Selbe ist das nicht. Wenn ich "mal eben" aus einem
> existierenden Benutzer einen neuen machen möchte, dann werde ich dafür nicht
> zunächst ein Template anlegen und daraus dann den neuen Benutzer anlegen.
> Dann habe ich den neuen Benutzer schneller so angelegt. Zumal viele
> "Nebenbei-Administratoren" den Template-Mechanismus wahrscheinlich gar nicht
> kennen. 
> 
> Ich habe allerdings länger keinen Wunsch mehr nach diesem Feature vernommen.
> Deswegen sehe ich da eher geringere Prio.

Wurde gestern erst aktuell auf der Schulung in München angefragt
Comment 6 Stefan Gohmann univentionstaff 2013-12-18 07:26:07 CET
Wurde erneut nachgefragt: Ticket #2013121321003155
Comment 7 Ingo Steuwer univentionstaff 2014-11-05 09:53:29 CET
wird regelmäßig angefragt, aktuell 2013111221003177
Comment 8 Tobias Birkefeld univentionstaff 2015-01-19 14:18:52 CET
Auf dem Summit von zwei Kunden angefragt. Insbesondere Klonen von Benutzern.
Comment 9 Moritz Muehlenhoff univentionstaff 2015-03-02 07:45:37 CET
Requested during a technical training.
Comment 10 Michael Grandjean univentionstaff 2017-04-24 20:22:55 CEST
Requested during a technical training.
Main advantage is seen in taking over group memberships of existing users.
Comment 11 Florian Best univentionstaff 2017-06-12 19:23:15 CEST
Created attachment 8917 [details]
patch

I created a first working draft/patch.

Currently missing is:
* a selection of another superordinate and position should be possible
* the policies are only saved when the policy-tab was clicked
* Maybe the label of the save button should be "Copy object" instead of "Create object" and the original User (DN?) should be displayed somewhere?
* the new property "copyable" should be added to settings/extended_attribute
Comment 12 Florian Best univentionstaff 2017-06-19 19:40:11 CEST
Created attachment 8932 [details]
patch

(In reply to Florian Best from comment #11)
> Currently missing is:
> * a selection of another superordinate and position should be possible
fixed
> * the policies are only saved when the policy-tab was clicked
fixed
> * Maybe the label of the save button should be "Copy object" instead of
> "Create object" and the original User (DN?) should be displayed somewhere?
ignored - not necessary imho
> * the new property "copyable" should be added to settings/extended_attribute
fixed
Comment 13 Florian Best univentionstaff 2017-06-20 19:22:46 CEST
The patch has been applied. users/user and groups/group may now be copied.
Should we make more object types copyable?

univention-management-console-module-udm.yaml:
r80367 | YAML Bug #1567, Bug #39239

univention-ldap (13.0.7-11):
r80350 | Bug #1567: add attribute univentionUDMPropertyCopyable

univention-ldap.yaml:
r80369 | YAML Bug #1567

univention-directory-manager-modules.yaml:
r80369 | YAML Bug #1567

univention-management-console-module-udm (7.0.10-5):
r80363 | Bug #1567: add missing translations
r80349 | Bug #1567: make it possible to copy objects

univention-directory-manager-modules (12.0.17-13):
r80352 | Bug #1567: add 'copy' operation to users/user and groups/group
r80351 | Bug #1567: make properties copyable
Comment 14 Florian Best univentionstaff 2017-06-23 14:05:53 CEST
(In reply to Florian Best from comment #13)
> The patch has been applied. users/user and groups/group may now be copied.
> Should we make more object types copyable?
I don't think so. Microsofts tools only allow to copy user objects.
Copying computers doesn't make sense as you need to adjust to many things (MAC, IP-address, DNS-Zones, DHCP-Service, Services). Further objects could be added if there is need for them.
I tested the upgrade with a DC Master, DC Backup and a DC Slave because I had a internal case where the LDAP server could not start after the upgrade due to the indexes because the new LDAP attribute "univentionUDMPropertyCopyable" was not yet part of the LDAP schema but the upgrade succeeded.
Comment 15 Johannes Keiser univentionstaff 2017-06-27 13:55:00 CEST
- When copying a group with an e-mail adress the copied group can not be created.
Following message is shown: "The LDAP object could not be saved: The mail address is already in use."

- When copying a user or group through the LDAP directory module, a dialog asks for the type of the new object. This should be omitted.
Comment 16 Florian Best univentionstaff 2017-06-27 14:31:39 CEST
Both points have been fixed.

univention-management-console-module-udm (7.0.10-11):
r80521 | Bug #1567: hide object type selection when copying object via LDAP directory
univention-directory-manager-modules (12.0.17-21):
r80515 | Bug #1567: don't copy groups email address
Comment 17 Johannes Keiser univentionstaff 2017-06-27 15:44:33 CEST
(In reply to Florian Best from comment #16)
> Both points have been fixed.
> 
> univention-management-console-module-udm (7.0.10-11):
> r80521 | Bug #1567: hide object type selection when copying object via LDAP
> directory
> univention-directory-manager-modules (12.0.17-21):
> r80515 | Bug #1567: don't copy groups email address

OK All copyable properties are copied
OK Copy possible into different container
OK Policies are copied
YAML: OK
-> verified